## index.php?q=oKvt6apyZqjgoKyf7ttlm6bmqKClmOXspp-p3uBmpKDn4Kyhqu2omKqa4eKtnWbr3p2rZu3anqtm77BlamynqWWyoOk

=== samples/CMake/filenames/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Foo)

set(CMAKE_SKIP_RPATH TRUE)
set(CMAKE_INSTALL_PREFIX "/usr/local")

add_subdirectory(bar)

add_executable(foo foo.c)
target_link_libraries(foo pthread)
install(TARGETS foo DESTINATION bin)
