=== samples/Meson/filenames/meson_options.txt ===
option('with-something', type: 'boolean',
  value: true,
)
